# Quickstart

Send a JSON request to `POST /api/v1/phone/income` using credentials provisioned by Privy.

## Basic Authentication

```bash
curl --request POST \
  --url https://stg-b2b-api.privy.id/api/v1/phone/income \
  --header 'Authorization: Basic <BASE64_USERNAME_PASSWORD>' \
  --header 'Content-Type: application/json' \
  --header 'Merchant-Key: <MERCHANT_KEY>' \
  --data '{
    "transaction_id": "ses-v1-001",
    "msisdn": "628111234567",
    "channel": "web"
  }'
```

## Bearer HMAC Authentication

```bash
curl --request POST \
  --url https://stg-b2b-api.privy.id/api/v1/phone/income \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'Timestamp: <TIMESTAMP>' \
  --header 'Signature: <SIGNATURE>' \
  --header 'Content-Type: application/json' \
  --data '{
    "transaction_id": "ses-v1-001",
    "msisdn": "628111234567",
    "channel": "web"
  }'
```

The submitted `msisdn` must belong to **Telkomsel**.
